package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.AlarmLog;

/**
 * 安防告警日志Mapper接口
 * 
 * @author ruoyi
 * @date 2026-05-20
 */
public interface AlarmLogMapper 
{
    /**
     * 查询安防告警日志
     * 
     * @param id 安防告警日志主键
     * @return 安防告警日志
     */
    public AlarmLog selectAlarmLogById(Long id);

    /**
     * 查询安防告警日志列表
     * 
     * @param alarmLog 安防告警日志
     * @return 安防告警日志集合
     */
    public List<AlarmLog> selectAlarmLogList(AlarmLog alarmLog);

    /**
     * 新增安防告警日志
     * 
     * @param alarmLog 安防告警日志
     * @return 结果
     */
    public int insertAlarmLog(AlarmLog alarmLog);

    /**
     * 修改安防告警日志
     * 
     * @param alarmLog 安防告警日志
     * @return 结果
     */
    public int updateAlarmLog(AlarmLog alarmLog);

    /**
     * 删除安防告警日志
     * 
     * @param id 安防告警日志主键
     * @return 结果
     */
    public int deleteAlarmLogById(Long id);

    /**
     * 批量删除安防告警日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAlarmLogByIds(Long[] ids);
}
